*** Product Vendors Changelog ***

2020-05-12 - version 2.1.33
* Fix - After editing a vendor, show correct link back description.

2020-04-30 - version 2.1.32
* Tweak - WC 4.1 compatibility.

2020-04-21 - version 2.1.31
* Tweak - Add note on logging setting.

2020-04-08 - version 2.1.30
* Fix - Set order status to completed if all products are fulfilled.

2020-04-01 - version 2.1.29
* Fix - Adjust logic for displaying view order link when viewing a booking.

2020-03-26 - version 2.1.28
* Fix   - Not possible to set the availability of a bookable product.

2020-03-17 - version 2.1.27
* Fix   - Orders are not deleted from vendor's dashboard.
* Fix   - Bad query generation in backend.
* Fix   - Missing check if order exists on the commission screen.

2020-03-11 - version 2.1.26
* Tweak - Save description as profile text if confirmed by vendor at registration.
* Tweak - Remove legacy code.
* Fix   - Allow vendors to see the view order link when viewing a booking.

2020-02-26 - version 2.1.25
* Fix - Prevent fulfill status showing fulfilled when product is downloadable and not virtual.
* Tweak - WC 4.0 compatibility.

2020-02-12 - version 2.1.24
* Fix - Use proper escape attributes.

2020-01-15 - version 2.1.23
* Fix - Overlapping input labels for product tax settings.

2019-11-05 - version 2.1.22
* Fix - Export of shipping rates to CSV in the Per Product Shipping integration.
* Tweak - WC 3.8 compatibility.

2019-08-29 - version 2.1.21
* Update - Add option to include taxes in product price when calculating commission.

2019-08-23 - version 2.1.20
* Fix    - Infinite loop for Vendor Admins when integrating with Bookings and Memberships.

2019-08-08 - version 2.1.19
* Update - WC 3.7 compatibility.

2019-07-02 - version 2.1.18
* Tweak - Fixes money format inconsistencies with WooCommerce.

2019-5-21 - version 2.1.17
* Fix    - Support for bookings 1.13 global availability changes.
* Update - Better capability checks for vendor's access to pages.

2019-04-16 - version 2.1.16
* Update - WC 3.6 compatibility.

2019-03-04 - version 2.1.15
* Fix - Vendor dashboard low stock count not updating.
* Fix - Vendor dashboard out of stock count not updating.

2019-02-07 - version 2.1.14
* Fix - Vendors unintentionally have access to others bookings details.
* Fix - Vendors simple/variable products showing bookings fields.
* Fix - User roles lingering even after deactivation.
* Fix - Redundant HTML on admin commission page.

2019-02-06 - version 2.1.13
* Tweak - Remove settings page from Bookings 1.13.0.

2019-01-07 - version 2.1.12
* Fix - Product filtering for WooCommerce Bulk Stock Management.

2018-10-29 - version 2.1.11
* Fix    - Notice displayed when logged in as non-admin.

2018-10-11 - version 2.1.10
* Update - WC compatibility to allow Shop Managers to manage vendors.

2018-09-25 - version 2.1.9
* Update - WC 3.5 compatibility.

2018-09-17 - version 2.1.8
* Fix    - Virtual/downloadable variable product showing fulfillment status when not needed.
* Update - References to PayPal Masspay is now Payouts.
* Fix    - Order item metas for paid/fulfilled statuses using wrong filter.
* Fix    - Admin import/export commission button alignments.
* Fix    - Mixed vendor product/store product shipping issue.
* Fix    - Fixed bulk commission payout to combine per order id and vendor id.

2018-08-14 - version 2.1.7
* Fix    - PHP warning on PayPal SDK library.
* Fix    - Custom range reports fixed.

2018-05-23 - version 2.1.6
* Update - Privacy policy notification.
* Update - WC 3.4 compatibility.

2018-05-01 - version 2.1.5
* Fix    - Inconsistent reports when month - 1 spans to previous year.
* Fix    - Confusing text in plugin display count for pending vendors.
* Fix    - Filter removing bookings resource id from array of rules.
* Fix    - Remove "Add New" attribute button for Vendors.
* Tweak  - Remove "FORM" from vendor registration title.
* Tweak  - Use wc_get_template to load templates, removing custom loading logic.
* Tweak  - Add field id to vendor registration errors to make them easier to filter.
* Update - POT file.
* Fix    - In some cases CSS "include" causes issues.
* Fix    - Allow admin notices to show for actual store admins.
* Fix    - Add version to admin CSS enqueues to bust the cache on updates.
* Fix    - Load smaller Vendor logo.
* Fix    - Tax fields on product for Vendor should remain hidden after switching product type.
* Fix    - Product Vendors not passing through Shipping on Variable Product.

2017-12-11 - version 2.1.4
* Fix - Vendor order emails now include shipping details, tax details, etc.
* Fix - An error on _visibility index when saving product as vendor.
* Update - WC tested up to version.

2017-11-15 - version 2.1.3
* Fix - Product search not displaying results.
* Fix - Vendors not able to attach image to product.
* Fix - Vendors not able to add Bookings global availability rules.
* Fix - Prevent vendors from seeing vendor filter on products page.
* Fix - Correctly calculate commission for multiple vendor items in email.
* Fix - In WC 3.2, resend order email to vendor no longer works.
* New - Filter to allow hiding the commission shown to vendors on new order email.

2017-10-23 - version 2.1.2
* Fix - Per Product Shipping not inserting for merchant admin.
* Fix - PHP7 non numeric cast notice.
* Fix - Booking settings in products showing when bookings not enabled for vendors.
* Fix - Per product shipping tax calculated when product is set to not taxable.
* Fix - Commission field not saving on subscription products.

2017-10-19 - version 2.1.1
* Fix - Per Product Shipping undefined index notice.
* Fix - Vendor user not allowed to edit products.
* Fix - Vendors have access to shop orders page.

2017-10-10 - version 2.1.0
* Fix   - Bookings settings showed on single product when the vendor bookings
* Fix - Prevent non vendors of order to have access.
option was disable.
* New   - Filter the admin product list by vendor.
* New   - Show commission details on the order that is sent out to vendors.
* New   - Email template action hook: wc_product_vendors_email_order_meta
* Tweak - Show order item meta information on the vendor admin order view.
* Tweak - Show actual price the customer paid on the email sent out to
vendors instead of the product/variation listing price.

2017-08-23 - version 2.0.40
* Fix - Product Enquiry compatibility issue with changed class name.

2017-08-18 - version 2.0.39
* Fix - Remove product import/export access for vendors that was introduced in WC 3.0.

2017-08-08 - version 2.0.38
* Fix - WC 3.0 deprecation notice on low stock emails.
* Fix - Vendor profile description not rendering shortcodes correctly.
* Update - Change vendor manageable vendors to use user meta instead of cookies.

2017-07-28 - version 2.0.37
* Fix - Vendors had access to Subscriptions menu when it is not compatible.

2017-07-28 - version 2.0.36
* Fix - Adjusts how we handle the vendor registration form validation.

2017-07-07 - version 2.0.35
* Fix - Commission flagged paid before PayPal process.
* Add - Webhook notifications for PayPal payout prcoess.
* Add - Webhook troubleshooing tool.

2017-06-22 - version 2.0.34
* Fix - Product name for simple type shows not found in commission list.
* Fix - Order date discrepancies.
* Fix - Shipping address formatting issue when empty on vendor orders list.

2017-06-20 - version 2.0.33
* Fix - When save post hook is called, sometimes vendor selection is removed.
* Fix - Vendor ID not saving into customer's meta.

2017-06-14 - version 2.0.32
* Fix - On commission process, rare duplicate commission line could be created.
* Fix - Vendor registration description field showing up in vendor profile.

2017-06-08 - version 2.0.31
* Tweak - Performance enhancement to the pending vendor bubble count in menu.
* Fix - Do not process commission payout if commission amount is zero.

2017-05-02 - version 2.0.30
* Fix - Emails to vendors not showing variable products.

2017-04-28 - version 2.0.29
* Fix - A glitch with order timestamp when vendor setting is set to UTC.

2017-04-27 - version 2.0.28
* Fix - In certain cases PayPal Mass Payments will not send payments to all recipients.
* Update - PayPal SDK 1.11.

2017-03-28 - version 2.0.27
* Update - Additional updates for WooCommerce 3.0 compatibility.
* Add - Compatibility with Sequential Numbers Pro.
* Fix - Filters on the Bookings list table were not filtering properly.

2017-03-02 - version 2.0.26
* Fix - In cart bookings should not show in vendor dashboard.
* Tweak - Vendor ID cookie name to allow hosting to not cache cookie.

2017-02-13 - version 2.0.25
* Update - WooCommerce 3.0 compatibility.
* Fix - Variation attribute not showing in commission list.
* Fix - Compatibility issue with Bookings reverted version.
* New - Introduce filter "wcpv_sold_by_link_name".

2017-01-08 - version 2.0.24
* Fix - When variable product is set with "any" variations, user selected attribute is not shown on order list.

2016-12-07 - version 2.0.23
* Fix - Method name changed in Bookings causing errors.

2016-11-09 - version 2.0.22
* Fix - Database query error.
* Fix - Vendor admin in mobile not seeing menu icon.

2016-10-25 - version 2.0.21
* Fix - Vendor widget not allowing simple HTML.
* Fix - Vendor order date discrepancies between list and detail.
* Fix - Order statuses were not translatable.
* Fix - Prevent vendor approval from sending again if they're just changing admin roles.
* Tweak - Vendor registration no longer sends password but request them to create their own.

2016-09-28 - version 2.0.20
* Fix - CSV Commission export buttons were not working.

2016-09-23 - version 2.0.19
* Fix - Vendors can see media files in list mode of others.

2016-09-07 - version 2.0.18
* Fix - Product attribute names were not formatted correctly after WC 2.6.

2016-08-31 - version 2.0.17
* Fix - UTC timezone offset causes errors as it is not handled properly.
* Tweak - Performance with Bookings compatibility.

2016-08-24 - version 2.0.16
* Fix - Hide vendor registration form from admins to prevent inadvertent role switching.
* Fix - JetPack settings and widgets were showing for vendors.
* Add - Vendor timezone option in vendor settings.
* Add - Fulfillment status update notification email to admin.

2016-07-18 - version 2.0.15
* Tweak - Scroll to the message of the form on vendor registration.
* Fix - Undefined enable_bookings notice in settings.

2016-07-07 - version 2.0.14
* Fix - Export unpaid commissions triggered an error.
* Fix - Vendor user first and last name not showing in the support form emails.
* Fix - Change load order of text domain so all strings can be translated.
* Fix - Email templates were not being overridden.

2016-06-28 - version 2.0.13
* Update - When registered user is applying to be a vendor, set their role to pending vendor.
* Fix - Vendor switcher is not showing on the admin bar.

2016-06-07 - version 2.0.12
* Add - Total earned commission in the vendors report.
* Add - Admin toolbar menu items for vendors such as add product.
* Fix - Commission number formatting.

2016-06-03 - version 2.0.11
* Fix - Commission logic when it is fixed amount, it would incorrectly account for only one quantity.
* Add - Allow vendors to manage users as an option.
* Add - Bookings global availability options are now available to vendors.

2016-05-16 - version 2.0.10
* Fix - Store admin was not able to see bookable product ( regression from last update ).

2016-05-15 - version 2.0.9
* Fix - Typo on vendor level commission setting which causes commission not to match.
* Fix - Order generate commission action filter overriding 3rd party actions.
* Fix - Vendor dashboard no longer shows when vendor resets password.
* Fix - Vendors were not able to upload media.
* Fix - Per product shipping not returning rate when used on variable product parent level.
* Fix - Vendors can still add bookable product when their account has bookings disabled.
* Fix - Vendor name in 2 byte characters would cause vendor dashboard not to show.

2016-05-06 - version 2.0.8
* Fix - Vendor order notes were not processing properly.
* Fix - Upgrading version 1.x to 2.x were not converting commission amount correctly.
* Add - Capability to use decimals in commission amounts.
* Add - Vendor description to vendor profile on 1.x data upgrade.

2016-04-19 - version 2.0.7
* Fix - Fatal error caused by method return value is used in write context.

2016-04-19 - version 2.0.6
* Fix - Sometimes PayPal Mass Payments does not recognize live environment based on clientID.
* Add - Export all unpaid commission button for PayPal Mass payments.
* Tweak - Combine batch PayPal Payouts to prevent over charging on fees.

2016-04-14 - version 2.0.5
* Fix - When bulk/quick editing product, sometimes vendors are unassigned from the product.
* Fix - When product is set to featured, it is removed after a vendor saves the product.
* Fix - Update number formatting method to prevent rounding issues.

2016-04-04 - version 2.0.4
* Add - Shortcode to list all vendors [wcpv_vendor_list].
* Add - Placeholder commission in commission fields so users know what the current commission is.
* Tweak - Don't display vendor registration form when vendor is logged in.
* Fix - Vendor create products were not showing properly.

2016-03-24 - version 2.0.3
* Fix - Error when vendor has bookings enabled but bookings plugin is not active.
* Remove - Visibility and featured product settings from vendor quick edit.
* Add - Trash product capability to vendors.

2016-03-16 - version 2.0.2
* Fix - Possible non object issue on commission list if product was deleted.
* Fix - Stock not being updated after order.
* Fix - Product edit was not able to unselect a vendor.
* Remove - Bookings global availability options for vendors.
* Remove - Bookings resources for vendors.

2016-03-02 - version 2.0.1
* Fix - Clear bookings calendar cache to prevent wrong bookings from showing to vendors.

2016-02-23 - version 2.0.0
* Update - Release of 2.0.0 ( see here for changes https://docs.woothemes.com/document/product-vendors/#section-2 )

2014-05-13 - version 1.0.9
* New - Adding compatibility for WooCommerce Bookings extension
* Fix - Fixing typos in dashboard

2014-04-03 - version 1.0.8
* New - Limiting media library to only show media items from current user's vendor
* Tweak - Showing correct product and media counts for all statuses & views on list tables
* Tweak - Adding Product Vendors admin pages to WooCommerce page list - this fixes the Chosen inputs on all pages
* Fix - Fixing updating of vendor details page

2014-01-10 - version 1.0.7
* Update - Updating calls to deprecated $woocommerce->add_inline_js() in WooCommerce 2.1+ and ensuring backwards compatibility for older versions
* Update - Updating Commissions menu icon to vector font icon
* Update - Removing Javascript for tooltips from dashboard report for WooCommerce 2.1+
* Fix - Fixing PHP notices in WooCommerce 2.1+
* Fix - Fixing rare issue with product access permissions in dashboard

2014-01-01 - version 1.0.6
* Fix - Limiting request filter to dashboard requests only

2013-12-20 - version 1.0.5
* Update - Adding lots of actions and filters for extensibility
* Tweak - Improving vendor description display
* Tweak - Improving admin input fields display

2013-12-09 - version 1.0.4
* Fixing rounding errors in CSV export

2013-11-22 - version 1.0.3
* Fixing rounding errors
* Fixing duplicate PayPal email address on CSV export
* Fixing saving of vendor admins

2013-09-09 - version 1.0.2
* Allowing vendors to upload images to their own products
* Fixing commission calculation in some instances
* Fixing bug that caused duplicate vendors to display when editing a product

2013-08-26 - version 1.0.1
* Adding 'product-vendor' and current vendor slug as body classes on vendor product pages
* Fixing bug that caused the vendor URL to sometimes return a WP_Error object

2013-08-15 - version 1.0
* First Release

